Skip to content
Download OpenAPI description
Languages
Servers
https://api.kanbert.com/api/v1
Operations
Operations
Operations
Operations

Request

No specific scope required.

Security
http or oauth2
Query
sortstring

Available sorts are title, updated_at, created_at.
You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title.

Example: sort=sort=-created_at,title
includestring

Available includes are projects_assigned. You can include multiple options by separating them with a comma.

page[size]integer

The number of results that will be returned per page.

Default 30
page[cursor]string

The cursor to start the pagination from.

filterstring

Allowed filter fields (with allowed operators):

FieldTypeOperators
titlestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
created_atdateeq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull

Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.

You can check the full syntax at Docs Filtering section.

Special values:

  • me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id
  • now — current date-time. Example: dueOn lt now
  • sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow
  • som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom
  • today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today
  • today±Nd — relative day offset. Examples: today-30d, today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
curl -i -X GET \
  'https://api.kanbert.com/api/v1/portfolios?sort=sort%3D-created_at%2Ctitle&include=string&page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cursor paginated collection of ProjectPortfolioData

Bodyapplication/json
dataArray of objects(ProjectPortfolioData)required

The list of items

data[].​idstringrequired
data[].​titlestringrequired
data[].​tagsArray of stringsrequired
data[].​projects_assignedArray of objects(ProjectData)required

Projects directly assigned to this portfolio

data[].​projects_assigned[].​idstringrequired
data[].​projects_assigned[].​external_idstring or nullrequired

Can be used to add an identifier to the project from an external system, must be unique

data[].​projects_assigned[].​external_originstring or nullrequired

If originated from external system origin is added

data[].​projects_assigned[].​titlestringrequired
data[].​projects_assigned[].​descriptionstring or nullrequired
data[].​projects_assigned[].​shortcodestringrequired
data[].​projects_assigned[].​po_numberstring or nullrequired
data[].​projects_assigned[].​project_typeProjectTypeData (object) or nullrequired
Any of:
data[].​projects_assigned[].​project_type.​idstringrequired
data[].​projects_assigned[].​project_type.​titlestringrequired
data[].​projects_assigned[].​project_type.​shortcodestringrequired
data[].​projects_assigned[].​project_type.​colorstringrequired
data[].​projects_assigned[].​project_type.​orderintegerrequired
data[].​projects_assigned[].​project_type.​is_defaultbooleanrequired
data[].​projects_assigned[].​project_groupProjectGroupData (object) or nullrequired
Any of:
data[].​projects_assigned[].​project_group.​idstringrequired
data[].​projects_assigned[].​project_group.​titlestringrequired
data[].​projects_assigned[].​statusstringrequired
data[].​projects_assigned[].​is_acquisitionbooleanrequired
data[].​projects_assigned[].​is_privatebooleanrequired
data[].​projects_assigned[].​start_datestring or null(date)required
data[].​projects_assigned[].​end_datestring or null(date)required
data[].​projects_assigned[].​clientobject(ClientData)required
data[].​projects_assigned[].​client.​idstringrequired
data[].​projects_assigned[].​client.​external_idstring or nullrequired

Can be used to add an identifier to the client from an external system, must be unique

data[].​projects_assigned[].​client.​external_originstring or nullrequired

If originated from external system origin is added

data[].​projects_assigned[].​client.​namestringrequired
data[].​projects_assigned[].​client.​shortcodestring or nullrequired
data[].​projects_assigned[].​client.​primary_contactUserData (object) or nullrequired
Any of:
data[].​projects_assigned[].​client.​primary_contact.​idstringrequired
data[].​projects_assigned[].​client.​primary_contact.​first_namestringrequired
data[].​projects_assigned[].​client.​primary_contact.​last_namestringrequired
data[].​projects_assigned[].​client.​primary_contact.​emailstringrequired
data[].​projects_assigned[].​client.​primary_contact.​typestring(UserType)required
Enum"user""guest""tax_advisor""integration"
data[].​projects_assigned[].​client.​primary_contact.​spaceobject(SpaceData)required
data[].​projects_assigned[].​client.​origin_spaceSpaceData (object) or nullrequired
Any of:

Shared space which the client is shared from, if null client is not shared

data[].​projects_assigned[].​client.​origin_space.​idstringrequired
data[].​projects_assigned[].​client.​origin_space.​namestringrequired
data[].​projects_assigned[].​tagsArray of objects(ProjectTagData)
data[].​projects_assigned[].​portfoliosArray of objects(ProjectPortfolioData)
data[].​projects_assigned[].​custom_fieldsobjectrequired

The key is the field name for your custom field, value type depends on the field type

data[].​projects_assigned[].​custom_fields.​property name*string or boolean or integer or nulladditional property
Any of:
string
data[].​projects_assigned[].​origin_spaceSpaceData (object) or nullrequired
Any of:

Shared space which the project is shared from, if null project is not shared

data[].​projects_assigned[].​origin_space.​idstringrequired
data[].​projects_assigned[].​origin_space.​namestringrequired
data[].​projects_assigned[].​teamArray of objects(TeamMemberData)

Project team

data[].​projects_assigned[].​guestsArray of objects(TeamMemberData)

Project guests

data[].​projects_assigned[].​computed_fieldsobject
data[].​shared_spacesArray of objects(SpaceData)required

Spaces the portfolio is shared with, is also empty if portfolio is shared from another space

data[].​shared_spaces[].​idstringrequired
data[].​shared_spaces[].​namestringrequired
data[].​origin_spaceSpaceData (object) or nullrequired
Any of:

Shared space which the project is shared from, if null project is not shared

data[].​origin_space.​idstringrequired
data[].​origin_space.​namestringrequired
linksArray of stringsrequired
metaobjectrequired
meta.​pathstring or nullrequired

Base path for paginator generated URLs.

meta.​per_pageintegerrequired

Number of items shown per page.

meta.​next_cursorstring or nullrequired
meta.​next_cursor_urlstring or nullrequired
meta.​prev_cursorstring or nullrequired
meta.​prev_cursor_urlstring or nullrequired
Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }

Request

No specific scope required.

Security
http or oauth2
Query
sortstring

Available sorts are title, updated_at, created_at.
You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title.

Example: sort=sort=-created_at,title
page[size]integer

The number of results that will be returned per page.

Default 30
page[cursor]string

The cursor to start the pagination from.

filterstring

Allowed filter fields (with allowed operators):

FieldTypeOperators
titlestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
created_atdateeq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull

Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.

You can check the full syntax at Docs Filtering section.

Special values:

  • me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id
  • now — current date-time. Example: dueOn lt now
  • sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow
  • som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom
  • today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today
  • today±Nd — relative day offset. Examples: today-30d, today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
curl -i -X GET \
  'https://api.kanbert.com/api/v1/project-groups?sort=sort%3D-created_at%2Ctitle&page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cursor paginated collection of ProjectGroupData

Bodyapplication/json
dataArray of objects(ProjectGroupData)required

The list of items

data[].​idstringrequired
data[].​titlestringrequired
linksArray of stringsrequired
metaobjectrequired
meta.​pathstring or nullrequired

Base path for paginator generated URLs.

meta.​per_pageintegerrequired

Number of items shown per page.

meta.​next_cursorstring or nullrequired
meta.​next_cursor_urlstring or nullrequired
meta.​prev_cursorstring or nullrequired
meta.​prev_cursor_urlstring or nullrequired
Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }
Operations
Webhooks
Operations
Webhooks
Operations
Operations
Webhooks
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Schemas